%define upstream_name    Tie-Handle-Offset
%define upstream_version 0.004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Tied handle that hides an RFC822-style header
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Tie/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::More)
BuildRequires: perl(Tie::Handle)
BuildRequires: perl(strict)
BuildArch: noarch

%description
This modules provides a file handle that hides the beginning of a file.
After opening, the file is positioned at the offset location. 'seek()' and
'tell()' calls are modified to preserve the offset.

For example, 'tell($fh)' will return 0, though the actual file position is
at the offset. Likewise, 'seek($fh,80,0)' will seek to 80 bytes from the
offset instead of 80 bytes from the actual start of the file.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc LICENSE Changes README META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.4.0-2.mga9
+ Revision: 1814730
- Mageia 9 Mass Rebuild

* Mon Jul 05 2021 tv <tv> 0.4.0-1.mga9
+ Revision: 1734836
- imported package perl-Tie-Handle-Offset


* Mon Jul 05 2021 Thierry Vignaud <tv@mageia.org> 0.4.0-1.mga9
- Import from CPAN
